# Class CIM_ProtocolServiceCapabilities
extends CIM_EnabledLogicalElementCapabilities

A subclass of EnabledLogicalElementCapabilities that defines the capabilities of a ProtocolService. An instance of CIM_ProtocolServiceCapabilities is associated with a ProtocolService using ElementCapabilities.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_EnabledLogicalElementCapabilities
|
+--CIM_ProtocolServiceCapabilities

## Direct Known Subclasses

CIM_CLPCapabilities
CIM_SSHCapabilities
CIM_TelnetCapabilities
CIM_WBEMProtocolServiceCapabilities

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | A subclass of EnabledLogicalElementCapabilities that defines the capabilities of a ProtocolService. An instance of CIM_ProtocolServiceCapabilities is associated with a ProtocolService using ElementCapabilities.
UMLPackagePath | string | CIM::Network::Misc
Version | string | 2.39.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ListeningPortManagementSupported | boolean |
Description | string | ListeningPortManagementSupported indicates whether the management of the ports on which the associated ProtocolService listens is supported.
ModelCorrespondence | string | CIM_ProtocolServiceCapabilities.MaxListeningPorts
MaxConnections | uint16 | 1
Description | string | MaxConnections specifies the maximum number of connections supported by the protocol service.
MaxValue | sint64 | 65535
ModelCorrespondence | string | CIM_ProtocolService.MaxConnections
MaxListeningPorts | uint16 | 1
Description | string | MaxListeningPorts specifies the maximum number of ports on which a protocol service will listen.
MaxValue | sint64 | 65535
MinValue | sint64 | 1
ModelCorrespondence | string | CIM_ProtocolServiceCapabilities.ListeningPortManagementSupported

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
ElementNameEditSupported | boolean | CIM_EnabledLogicalElementCapabilities
ElementNameMask | string | CIM_EnabledLogicalElementCapabilities
InstanceID | string | CIM_Capabilities
MaxElementNameLen | uint16 | CIM_EnabledLogicalElementCapabilities
RequestedStatesSupported | uint16[] | CIM_EnabledLogicalElementCapabilities

## Class Methods